import Dexie, { Table } from "dexie";
export interface IGroupSequence {
    groupId: string;
    sequence: number;
}
declare class GroupSequence {
    db?: Dexie;
    groupSequence?: Table<IGroupSequence, string>;
    static authorize: boolean;
    INFO_TYPE_PART: number;
    INFO_TYPE_ALL: number;
    INFO_UID_BY_CHAT: string;
    INFO_STATUS_NORMAL: number;
    INFO_STATUS_DELETE: number;
    init(db: Dexie): Promise<void>;
    bulkPut(changes: IGroupSequence[]): Promise<boolean>;
    queryGroups(chatIds: string[]): Promise<IGroupSequence[]>;
    queryGroupIds(chatIds: string[]): Promise<string[]>;
}
declare const groupSequence: GroupSequence;
export default groupSequence;
